# PolylineGeometryUpdater

#### new Cesium.PolylineGeometryUpdater(entity, scene)
DataSources/PolylineGeometryUpdater.js 69

A `GeometryUpdater` for polylines. Clients do not normally create this class directly, but instead rely on `DataSourceDisplay`.

Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.

### Members

#### readonly arcType : ArcType
DataSources/PolylineGeometryUpdater.js 287

Gets a value indicating if the path of the line.

#### readonly clampToGround : Boolean
DataSources/PolylineGeometryUpdater.js 301

Gets a value indicating if the geometry is clamped to the ground. Returns false if polylines on terrain is not supported.

#### readonly classificationTypeProperty : Property
DataSources/PolylineGeometryUpdater.js 236

Gets or sets the `ClassificationType` Property specifying if this geometry will classify terrain, 3D Tiles, or both when on the ground.

#### readonly depthFailMaterialProperty : MaterialProperty
DataSources/PolylineGeometryUpdater.js 169

Gets the material property used to fill the geometry when it fails the depth test.

#### readonly distanceDisplayConditionProperty : Property
DataSources/PolylineGeometryUpdater.js 224

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this geometry will be displayed.

#### readonly entity : Entity
DataSources/PolylineGeometryUpdater.js 121

Gets the entity associated with this geometry.

#### readonly fillEnabled : Boolean
DataSources/PolylineGeometryUpdater.js 133

Gets a value indicating if the geometry has a fill component.

#### readonly fillMaterialProperty : MaterialProperty
DataSources/PolylineGeometryUpdater.js 157

Gets the material property used to fill the geometry.

#### readonly geometryChanged : Boolean
DataSources/PolylineGeometryUpdater.js 274

Gets an event that is raised whenever the public properties of this updater change.

#### readonly hasConstantFill : Boolean
DataSources/PolylineGeometryUpdater.js 145

Gets a value indicating if fill visibility varies with simulation time.

#### readonly hasConstantOutline : Boolean
DataSources/PolylineGeometryUpdater.js 191

Gets a value indicating if outline visibility varies with simulation time.

#### readonly id : String
DataSources/PolylineGeometryUpdater.js 109

Gets the unique ID associated with this updater

#### readonly isClosed : Boolean
DataSources/PolylineGeometryUpdater.js 263

Gets a value indicating if the geometry is closed. This property is only valid for static geometry.

#### readonly isDynamic : Boolean
DataSources/PolylineGeometryUpdater.js 250

Gets a value indicating if the geometry is time-varying. If true, all visualization is delegated to the `DynamicGeometryUpdater` returned by GeometryUpdater#createDynamicUpdater.

#### readonly outlineColorProperty : Property
DataSources/PolylineGeometryUpdater.js 201

Gets the `Color` property for the geometry outline.

#### readonly outlineEnabled : Boolean
DataSources/PolylineGeometryUpdater.js 181

Gets a value indicating if the geometry has an outline component.

#### readonly shadowsProperty : Property
DataSources/PolylineGeometryUpdater.js 212

Gets the property specifying whether the geometry casts or receives shadows from light sources.

#### readonly zIndex : Number
DataSources/PolylineGeometryUpdater.js 313

Gets the zindex

### Methods

#### createFillGeometryInstance(time) → GeometryInstance
DataSources/PolylineGeometryUpdater.js 350

Creates the geometry instance which represents the fill of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the filled portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent a filled geometry.

#### createOutlineGeometryInstance(time) → GeometryInstance
DataSources/PolylineGeometryUpdater.js 416

Creates the geometry instance which represents the outline of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the outline portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent an outlined geometry.

#### destroy()
DataSources/PolylineGeometryUpdater.js 436

Destroys and resources used by the object. Once an object is destroyed, it should not be used.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

#### isDestroyed() → Boolean
DataSources/PolylineGeometryUpdater.js 427

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### isFilled(time) → Boolean
DataSources/PolylineGeometryUpdater.js 336

Checks if the geometry is filled at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve visibility.

##### Returns:

true if geometry is filled at the provided time, false otherwise.

#### isOutlineVisible(time) → Boolean
DataSources/PolylineGeometryUpdater.js 326

Checks if the geometry is outlined at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve visibility.

##### Returns:

true if geometry is outlined at the provided time, false otherwise.